//
//  ViewController.m
//  约束条件
//
//  Created by Exsun on 16/5/11.
//  Copyright © 2016年 Exsun. All rights reserved.
//

#import "ViewController.h"
#import "ZQTColorSwitch.h"
@interface ViewController ()
{
    UIView    *sv;
}
@property(nonatomic,strong)ZQTColorSwitch *nkColorSwitch;
@end

@implementation ViewController
@synthesize nkColorSwitch = _nkColorSwitch;
- (void)viewDidLoad {
    [super viewDidLoad];

    self.view.backgroundColor = [UIColor colorWithRed:0.889 green:1.000 blue:0.962 alpha:1.000];

    [self fiveObject];
}

-(void)fiveObject
{
    
    for (int i=0; i<4; i++) {
        CGFloat viewW = (self.view.frame.size.width-40)/4;
        CGFloat viewX = self.view.frame.origin.x+8+8*i+viewW*i;
        ZQTColorSwitch *nkColorSwitch2 = [[ZQTColorSwitch alloc] initWithFrame:CGRectMake(viewX, 100, viewW, 30)];
        [nkColorSwitch2 addTarget:self action:@selector(switchPressed:) forControlEvents:UIControlEventValueChanged];
        nkColorSwitch2.onBackLabel.text = @"已打开";
        nkColorSwitch2.offBackLabel.text = @"已关闭";
        nkColorSwitch2.tag = i+1;
        [nkColorSwitch2 setThumbTintColor:[UIColor grayColor]];
        [nkColorSwitch2 setOnTintColor:[UIColor colorWithRed:0.319 green:1.000 blue:0.136 alpha:1.000]];
        [nkColorSwitch2 setShape:kNKColorSwitchShapeRectangle];
        [self.view addSubview:nkColorSwitch2];
        UILabel *lab = [UILabel new];
        [self.view addSubview:lab];
        lab.textColor = [UIColor grayColor];
        lab.frame = CGRectMake(viewX+viewW/4, 130, viewW/2, 20);
        NSArray *labArr = @[@"绿色",@"黄色",@"红色",@"闪烁"];
        lab.text = labArr[i];
        lab.font = [UIFont systemFontOfSize:12 weight:viewW/3];
        lab.textAlignment = NSTextAlignmentCenter;

        switch (i) {
            case 0:
            {
                [nkColorSwitch2 setOnTintColor:[UIColor greenColor]];
                
            }
                break;
            case 1:
            {
                [nkColorSwitch2 setOnTintColor:[UIColor yellowColor]];
                
            }
                break;
            case 2:
            {
                [nkColorSwitch2 setOnTintColor:[UIColor redColor]];
                
            }
                break;
            case 3:
            {
                [nkColorSwitch2 setOnTintColor:[UIColor cyanColor]];
                
            }
                break;
            default:
                break;
        }
    }
    
}
- (void)switchPressed:(id)sender
{
    
    ZQTColorSwitch *nkswitch = (ZQTColorSwitch *)sender;
    NSLog(@"sender.tag===%ld",(long)nkswitch.tag);
    if (nkswitch.isOn)
        NSLog(@"开关打开模式");
    else
        NSLog(@"开关关闭模式");
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
